> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Update a property configuration

PUT https://api.propexo.com/v1/admin/integrations/{integration_id}/properties/{property_configuration_id}
Content-Type: application/json

Update a property configuration

Reference: https://docs.propexo.com/api-reference/configuration-ap-is/admin/update-a-property-configuration

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Path parameters

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `property_configuration_id` (string, required) — The ID of the property configuration record.

### Body (application/json)

This endpoint expects a _v1_admin_integrations_{integration_id}_properties_{property_configuration_id}_put_input.

- `enabled` (boolean, required) — Whether or not we should be syncing data for this property on this integration.
- `trigger_integration_resync` (boolean, optional, default: false) — Triggers a resync of the integration after updating the property. This request will not trigger a new sync if one is already in progress, and no HTTP failure will be returned in this case. If you need clearer feedback, consider the POST v1/admin/integrations/\{id}/manual-sync endpoint as an alternative to using this flag.

## Response

### 200

Successful response

- `results` (V1AdminIntegrationsIntegrationIdPropertiesPropertyConfigurationIdPutOutputResults, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1AdminIntegrationsIntegrationIdPropertiesPropertyConfigurationIdPutOutputResults

- `id` (string, required) — ID
- `created_at` (string, required) — The date record first entered Propexo
- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `property_id` (string, required) — The Propexo unique identifier for the property
- `enabled` (boolean, required) — Whether the property is enabled and will have data ingested
- `additional_message` (string, optional)

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

## Examples

**Request**

```json
{
  "enabled": true
}
```

**Response**

```json
{
  "results": {
    "id": "propconf_9f8b7c6d5e4a3b2c1d0e",
    "created_at": "2024-05-20T10:15:30Z",
    "integration_id": "intg_1234567890abcdef",
    "property_id": "prop_abcdef1234567890",
    "enabled": true,
    "additional_message": "Property configuration updated successfully."
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/admin/integrations/integration_id/properties/property_configuration_id"

payload = { "enabled": True }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/admin/integrations/integration_id/properties/property_configuration_id';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"enabled":true}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/admin/integrations/integration_id/properties/property_configuration_id"

	payload := strings.NewReader("{\n  \"enabled\": true\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/admin/integrations/integration_id/properties/property_configuration_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"enabled\": true\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.propexo.com/v1/admin/integrations/integration_id/properties/property_configuration_id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"enabled\": true\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.propexo.com/v1/admin/integrations/integration_id/properties/property_configuration_id', [
  'body' => '{
  "enabled": true
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/admin/integrations/integration_id/properties/property_configuration_id");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"enabled\": true\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["enabled": true] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/admin/integrations/integration_id/properties/property_configuration_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```